Package org.apache.storm.utils

# Interface ShellCommandRunner

All Known Implementing Classes:
  `ShellCommandRunnerImpl`

public interface ShellCommandRunner
Contains convenience functions for running shell commands for cases that are too simple to need a full `ShellUtils` implementation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `execCommand(String... cmd)`
  Method to execute a shell command.
  `String`
  `execCommand(Map<String,String> env, String... cmd)`
  Method to execute a shell command.
  `String`
  `execCommand(Map<String,String> env, String[] cmd, long timeout)`
  Method to execute a shell command.
  `String`
  `getTokenSeparatorRegex()`
  Token separator regex used to parse Shell tool outputs.

- ## Method Details

  - ### execCommand

    String execCommand(String... cmd) throws IOException
    Method to execute a shell command. Covers most of the simple cases without requiring the user to implement the `ShellUtils` interface.
    Parameters:
      `cmd` - shell command to execute.
    Returns:
      the output of the executed command.
    Throws:
      `IOException`

  - ### execCommand

    String execCommand(Map<String,String> env, String[] cmd, long timeout) throws IOException
    Method to execute a shell command. Covers most of the simple cases without requiring the user to implement the `ShellUtils` interface.
    Parameters:
      `env` - the map of environment key=value
      `cmd` - shell command to execute.
      `timeout` - time in milliseconds after which script should be marked timeout
    Returns:
      the output of the executed command.
    Throws:
      `IOException`

  - ### execCommand

    String execCommand(Map<String,String> env, String... cmd) throws IOException
    Method to execute a shell command. Covers most of the simple cases without requiring the user to implement the `ShellUtils` interface.
    Parameters:
      `env` - the map of environment key=value
      `cmd` - shell command to execute.
    Returns:
      the output of the executed command.
    Throws:
      `IOException`

  - ### getTokenSeparatorRegex

    String getTokenSeparatorRegex()
    Token separator regex used to parse Shell tool outputs.